Bug 143640 - NullPointerException at org.openoffice.extensions.util.ProjectTypeHelper.getObjectFromUnoProperties
NullPointerException at org.openoffice.extensions.util.ProjectTypeHelper.getO...
Status: RESOLVED FIXED
Product: third-party
Classification: Unclassified
Component: -- Other --
6.x
All All
: P1 (vote)
: TBD
Assigned To: srg
issues@third-party
http://statistics.netbeans.org/except...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-12 17:57 UTC by Lukas Hasik
Modified: 2009-03-25 13:10 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Lukas Hasik 2008-08-12 17:57:47 UTC
Build: NetBeans IDE 6.1 (Build 200804211638)
VM: Java HotSpot(TM) Client VM, 10.0-b22, Java(TM) SE Runtime Environment, 1.6.0_06-b02
OS: Windows XP, 5.1, x86
User comments: Just updated to the most recent version of the OOo API, and the exception occurred when trying to open a
project in Netbeans
STACKTRACE: (first 10 lines)
java.lang.NullPointerException
        at org.openoffice.extensions.util.ProjectTypeHelper.getObjectFromUnoProperties(ProjectTypeHelper.java:77)
        at org.openoffice.extensions.util.ProjectTypeHelper.isExtensionProject(ProjectTypeHelper.java:58)
        at org.openoffice.extensions.projecttemplates.actions.OOoProjectHook.projectOpened(OOoProjectHook.java:63)
        at org.netbeans.spi.project.ui.ProjectOpenedHook$1.projectOpened(ProjectOpenedHook.java:81)
        at
org.netbeans.spi.project.ui.support.UILookupMergerSupport$OpenHookImpl.projectOpened(UILookupMergerSupport.java:198)
        at org.netbeans.spi.project.ui.ProjectOpenedHook$1.projectOpened(ProjectOpenedHook.java:81)
        at org.netbeans.modules.project.ui.OpenProjectList.notifyOpened(OpenProjectList.java:951)
        at org.netbeans.modules.project.ui.OpenProjectList.doOpenProject(OpenProjectList.java:999)
        at org.netbeans.modules.project.ui.OpenProjectList.doOpen(OpenProjectList.java:598)
        at org.netbeans.modules.project.ui.OpenProjectList.access$1100(OpenProjectList.java:123)



this issue has 259 duplicates!
Comment 1 juergenschmidt 2008-08-21 08:13:02 UTC
jsc: i was on vacation, we will take care of it asap. 
Comment 2 juergenschmidt 2008-08-21 09:18:05 UTC
jsc -> srg: please take care of this issue. 
Comment 3 juergenschmidt 2008-08-21 09:19:06 UTC
cc me
Comment 4 Marian Mirilovic 2009-03-25 12:44:17 UTC
266 duplicates so far ...
Comment 5 srg 2009-03-25 13:10:15 UTC
Fixed with version 2.0 of the plugin - there shouldn't be any more duplicates if there are not user out there who did
not update to a more recent version.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo